[Snort-users] BASE1.4.4 is not working properly

Jun Wan junwei_wan at ...125...
Thu Jun 10 22:40:11 EDT 2010


Hi 

My Snort 2.8.5.2 (Build 121) with Barnyars2 (BASE1.4.4) on Ubundu9.1 was running beautifully  until I upgraded Ubundu9.1 to 10.1 without modifying any existing Snort related configuration files last week. 

The Snort is running fine, but now I am having trouble with BASE. I am still able to login BASE via a browser, and "Basic Analysis and Security Engine" (BASE) page shows up with following lines above the BASE:
 properly


Deprecated:  Function ereg_replace() is deprecated in /var/www/base-1.4.4/includes/base_state_common.inc.php
 on line 184



Deprecated:  Function ereg_replace() is deprecated in /var/www/base-1.4.4/includes/base_state_common.inc.php
 on line 184



Deprecated:  Function ereg_replace() is deprecated in /var/www/base-1.4.4/includes/base_state_criteria.inc.php
 on line 255





  
  


Deprecated:  Function ereg_replace() is deprecated in /var/www/base-1.4.4/includes/base_state_common.inc.php
 on line 184


When I try to access any more information, I get the following error:

Fatal error:  Call to undefined method 
ProtocolFieldCriteria::ProtocolFieldCriteria() in /var/www/base-1.4.4/includes/base_state_citems.inc.php
 on line 1113

After "Google", I got the following suggestion:

Use Base-1.4.5 to resolve the problem

My questions would be:

1.) What is the easiest way  to upgrade Base from 1.4.4 to 1.4.5?  Is there any info for my answer? I want to upgrade BASE properly, I don't want to muck up my "working snort" .
2.) Is Base-1.4.5  the remedy for my problem? If it's not, then what's your suggestion?

Many thanks in advance.

Any info and help would be much appreciated.

Regards

John


 

 		 	   		  
_________________________________________________________________
New, Used, Demo, Dealer or Private? Find it at CarPoint.com.au
http://clk.atdmt.com/NMN/go/206222968/direct/01/



More information about the Snort-users mailing list